(define-module (guix walint)
  #:use-module (guix download)
  #:use-module (guix profiles)
  #:use-module (gnu packages haskell)
  #:use-module (gnu packages haskell-web)
  #:use-module (gnu packages haskell-xyz)
  #:use-module (guix packages)
  #:use-module (guix git-download)
  #:use-module (guix build-system haskell)
  #:use-module (guix licenses)
  #:use-module (srfi srfi-1))

(define ghc-regex-base-newer
  (package
    (inherit ghc-regex-base)
    (version "0.94.0.1")
    (source
     (origin
       (method url-fetch)
       (uri (string-append
             "https://hackage.haskell.org/package/regex-base/regex-base-"
             version
             ".tar.gz"))
       (sha256
        (base32
         "1ngdmmrxs1rhvib052c6shfa40yad82jylylikz327r0zxpxkcbi"))))))



(define ghc-regex-tdfa-newer
  (package
    (inherit ghc-regex-tdfa)
    (version "1.3.1.1")
    (inputs `(("ghc-regex-base" ,ghc-regex-base-newer)
              ("ghc-utf8-string" ,ghc-utf8-string)))
    (source
     (origin
       (method url-fetch)
       (uri (string-append
             "https://hackage.haskell.org/package/regex-tdfa/regex-tdfa-"
             version ".tar.gz"))
       (sha256
        (base32
         "1msrq31k4jmn2lmrdzn87jqarqhw265ca69rfg5jpa5adrzm3gmi"))))))

(define-public walint
  (package
    (name "walint")
    (version "0.1")
    (source
     (origin
       (method git-fetch)
       (uri (git-reference
             (url "https://stuebinm.eu/git/walint")
             (commit "c93c266951ea40938efcb061b438ce95e9780fde")))
       (sha256
        (base32 "144ysxjg5qj7wirbs3pvwszarz156ba78mk873lrd6w4qxnq9kqy"))))
    (build-system haskell-build-system)
    (arguments '())
    (inputs
     `(("ghc" ,ghc)
       ("ghc-aeson" ,ghc-aeson)
       ("ghc-regex-tdfa" ,ghc-regex-tdfa-newer)
       ("ghc-getopt-generics" ,ghc-getopt-generics)
       ("ghc-aeson-pretty" ,ghc-aeson-pretty)
       ("ghc-either" ,ghc-either)
       ("ghc-extra" ,ghc-extra)
       ("ghc-bytestring-builder" ,ghc-bytestring-builder)
       ))
    (home-page "https://stuebinm.eu/git/walint")
    (synopsis "linter for workadventure maps")
    (description
     "linter for workadventure maps")
    (license "undecided")))

(packages->manifest
 `(,walint))
